package com.jeeplus.modules.sg.financial.erpcredit.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.ArrayList;
import java.util.List;

public class ErpCredit extends DataEntity<ErpCredit>{
    private static final long serialVersionUID = 1L;

    private String itemId;//项目定义编码
    private String itemName;//项目名称
    private Double actualInvestment;//实际投资
    private Double transferAssets;//移交生产的资产总值
    private Double consBuildingFee;//施工：建筑费
    private Double consInstallFee;//施工：安装费
    private Double consTotalFee;//施工：总计
    private Double otherSupervisorFee;//其他：监理费
    private Double otherDesignFee;//其他设计费
    private Double otherBeWorkFee;//项目前期工作费
    private Double otherBuildLoan;//建设期贷款利息
    private Double otherLineDamages;//线路施工赔偿费
    private Double otherLegalManage;//法人管理费
    private Double otherTotalFee;//其他费用合计
    private List<ErpCreditChild1> erpCreditChild1s = new ArrayList<ErpCreditChild1>();
    private List<ErpCreditChild2> erpCreditChild2s = new ArrayList<ErpCreditChild2>();
    private List<ErpCreditChild3> erpCreditChild3s = new ArrayList<ErpCreditChild3>();

    @ExcelField(title="项目定义编码", align=2, sort=1)
    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }
    @ExcelField(title="项目名称", align=2, sort=2)
    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
    @ExcelField(title="实际投资", align=2, sort=3)
    public Double getActualInvestment() {
        return actualInvestment;
    }

    public void setActualInvestment(Double actualInvestment) {
        this.actualInvestment = actualInvestment;
    }
    @ExcelField(title="移交生产的资产总值", align=2, sort=4)
    public Double getTransferAssets() {
        return transferAssets;
    }

    public void setTransferAssets(Double transferAssets) {
        this.transferAssets = transferAssets;
    }
    @ExcelField(title="建筑费", align=2, sort=5)
    public Double getConsBuildingFee() {
        return consBuildingFee;
    }

    public void setConsBuildingFee(Double consBuildingFee) {
        this.consBuildingFee = consBuildingFee;
    }
    @ExcelField(title="安装费", align=2, sort=6)
    public Double getConsInstallFee() {
        return consInstallFee;
    }

    public void setConsInstallFee(Double consInstallFee) {
        this.consInstallFee = consInstallFee;
    }
    @ExcelField(title="施工：合计", align=2, sort=7)
    public Double getConsTotalFee() {
        return consTotalFee;
    }

    public void setConsTotalFee(Double consTotalFee) {
        this.consTotalFee = consTotalFee;
    }
    @ExcelField(title="监理费", align=2, sort=8)
    public Double getOtherSupervisorFee() {
        return otherSupervisorFee;
    }

    public void setOtherSupervisorFee(Double otherSupervisorFee) {
        this.otherSupervisorFee = otherSupervisorFee;
    }
    @ExcelField(title="设计费", align=2, sort=9)
    public Double getOtherDesignFee() {
        return otherDesignFee;
    }

    public void setOtherDesignFee(Double otherDesignFee) {
        this.otherDesignFee = otherDesignFee;
    }
    @ExcelField(title="项目前期工作费", align=2, sort=10)
    public Double getOtherBeWorkFee() {
        return otherBeWorkFee;
    }

    public void setOtherBeWorkFee(Double otherBeWorkFee) {
        this.otherBeWorkFee = otherBeWorkFee;
    }
    @ExcelField(title="建设期贷款利息", align=2, sort=11)
    public Double getOtherBuildLoan() {
        return otherBuildLoan;
    }

    public void setOtherBuildLoan(Double otherBuildLoan) {
        this.otherBuildLoan = otherBuildLoan;
    }
    @ExcelField(title="线路施工赔偿费", align=2, sort=12)
    public Double getOtherLineDamages() {
        return otherLineDamages;
    }

    public void setOtherLineDamages(Double otherLineDamages) {
        this.otherLineDamages = otherLineDamages;
    }
    @ExcelField(title="法人管理费", align=2, sort=13)
    public Double getOtherLegalManage() {
        return otherLegalManage;
    }

    public void setOtherLegalManage(Double otherLegalManage) {
        this.otherLegalManage = otherLegalManage;
    }
    @ExcelField(title="其他费用:合计", align=2, sort=14)
    public Double getOtherTotalFee() {
        return otherTotalFee;
    }

    public void setOtherTotalFee(Double otherTotalFee) {
        this.otherTotalFee = otherTotalFee;
    }

    public List<ErpCreditChild1> getErpCreditChild1s() {
        return erpCreditChild1s;
    }

    public void setErpCreditChild1s(List<ErpCreditChild1> erpCreditChild1s) {
        this.erpCreditChild1s = erpCreditChild1s;
    }

    public List<ErpCreditChild2> getErpCreditChild2s() {
        return erpCreditChild2s;
    }

    public void setErpCreditChild2s(List<ErpCreditChild2> erpCreditChild2s) {
        this.erpCreditChild2s = erpCreditChild2s;
    }

    public List<ErpCreditChild3> getErpCreditChild3s() {
        return erpCreditChild3s;
    }

    public void setErpCreditChild3s(List<ErpCreditChild3> erpCreditChild3s) {
        this.erpCreditChild3s = erpCreditChild3s;
    }
}
